commit e3e406f669ce679c99076854d1fb59b09e71075c
Author: George Pantazis <gpant@noc.grnet.gr>
Date:   Fri Mar 16 18:19:46 2012 +0200

    Changed registry valuenames to their proper value
    1 valuetype changed to dword
    removed ~150 Registry keys that are of no use.
    
    Signed-off-by: George Pantazis <gpant@noc.grnet.gr>

diff --git a/trunk/Pithos.Installer/PithosPlus.iss b/trunk/Pithos.Installer/PithosPlus.iss
index 2510820..8d21f64 100644
--- a/trunk/Pithos.Installer/PithosPlus.iss
+++ b/trunk/Pithos.Installer/PithosPlus.iss
@@ -9,6 +9,7 @@
 #define MyAppExeName "PithosPlus.exe"
 #define MyAppVersion GetFileVersion(SrcApp)
 #define MyURL "http://www.grnet.gr/"
+#define Manufacturer "GRNET"
 
 [Setup]
 ;WARNING: DO NOT CHANGE THE APP ID (AppId) or the update will not work correctly.
@@ -119,7 +120,7 @@ Filename: "{app}\{#MyAppExeName}"; Description: "{cm:LaunchProgram,{#StringChang
 
 [Registry]
 ;Startup >>> Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\Run"; ValueType: string; ValueName: "Pithos+"; ValueData: """{app}\{#MyAppExeName}"""; Flags: createvalueifdoesntexist uninsdeletevalue
-Root: "HKCR"; Subkey: "*\shellex\ContextMenuHandlers\Pithos.FileContextMenu"; ValueType: "String"; ValueData: "{{b1f1405d-94a1-4692-b72f-fc8caf8b8700}}"; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "*\shellex\ContextMenuHandlers\Pithos.FileContextMenu"; ValueType: "String"; ValueName: "(Default)"; ValueData: "{{b1f1405d-94a1-4692-b72f-fc8caf8b8700}}"; Flags: uninsdeletekey
 
 Root: "HKCR"; Subkey: "CLSID\{{0CFB4119-DABE-4E32-AB2D-2D41873BC599}}"; ValueType: "String"; ValueData: "PithosContextMenu"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{0CFB4119-DABE-4E32-AB2D-2D41873BC599}}\InprocServer32"; ValueType: "String"; ValueData: "ThreadingModel"; Flags: uninsdeletekey
@@ -153,7 +154,7 @@ Root: "HKCR"; Subkey: "CLSID\{{11051AB4-D786-4248-BC6E-369F25EC74E4}}\ProgId"; V
 
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}"; ValueType: "String"; ValueName: "(Default)"; ValueData: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\Implemented Categories"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\Implemented Categories{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\Implemented Categories\{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32"; ValueType: "String"; ValueName: "(Default)"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\InprocServer32"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Overlays.NormalIconOverlay"; Flags: uninsdeletekey
@@ -169,7 +170,7 @@ Root: "HKCR"; Subkey: "CLSID\{{1941D8CA-2727-491B-BC03-9E8CA4FE972B}}\ProgId"; V
 
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}"; ValueType: "String"; ValueName: "(Default)"; ValueData: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\Implemented Categories"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\Implemented Categories{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\Implemented Categories\{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32"; ValueType: "String"; ValueName: "(Default)"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\InprocServer32"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Overlays.ModifiedIconOverlay"; Flags: uninsdeletekey
@@ -185,7 +186,7 @@ Root: "HKCR"; Subkey: "CLSID\{{3D05BCB0-733B-49CD-B340-9D79C17C73CC}}\ProgId"; V
 
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}"; ValueType: "String"; ValueName: "(Default)"; ValueData: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\Implemented Categories"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\Implemented Categories{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\Implemented Categories\{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32"; ValueType: "String"; ValueName: "(Default)"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\InprocServer32"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Overlays.ConflictIconOverlay"; Flags: uninsdeletekey
@@ -201,7 +202,7 @@ Root: "HKCR"; Subkey: "CLSID\{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}\ProgId"; V
 
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}"; ValueType: "String"; ValueName: "(Default)"; ValueData: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\Implemented Categories"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\Implemented Categories{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\Implemented Categories\{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32"; ValueType: "String"; ValueName: "(Default)"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\InprocServer32"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Menus.FileContextMenu"; Flags: uninsdeletekey
@@ -217,7 +218,7 @@ Root: "HKCR"; Subkey: "CLSID\{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}\ProgId"; V
 
 Root: "HKCR"; Subkey: "CLSID\{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}"; ValueType: "String"; ValueName: "(Default)"; ValueData: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}\Implemented Categories"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "CLSID\{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}\Implemented Categories{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
+Root: "HKCR"; Subkey: "CLSID\{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}\Implemented Categories\{{62C8FE65-4EBB-45E7-B440-6E39B2CDBF29}}"; ValueType: "String"; ValueData: ""; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}\InprocServer32"; ValueType: "String"; ValueName: "(Default)"; ValueData: "mscoree.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}\InprocServer32"; ValueType: "String"; ValueName: "Assembly"; ValueData: "Pithos.ShellExtensions, Version=1.0.0.0, Culture=neutral, PublicKeyToken=2cc55badaa91f4de"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}\InprocServer32"; ValueType: "String"; ValueName: "Class"; ValueData: "Pithos.ShellExtensions.Overlays.AddedIcodOverlay"; Flags: uninsdeletekey
@@ -230,11 +231,10 @@ Root: "HKCR"; Subkey: "CLSID\{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}\InprocServ
 Root: "HKCR"; Subkey: "CLSID\{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "CodeBase"; ValueData: "{app}\Pithos.ShellExtensions.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "CLSID\{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}\InprocServer32\1.0.0.0"; ValueType: "String"; ValueName: "RuntimeVersion"; ValueData: "v4.0.30319"; Flags: uninsdeletekey; Components: RequiredFiles
 Root: "HKCR"; Subkey: "CLSID\{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}\ProgId"; ValueType: "String"; ValueName: "(Default)"; ValueData: "Pithos.ShellExtensions.Overlays.AddedIcodOverlay"; Flags: uninsdeletekey
-
-
-
-;;;;;
-
+;Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994560-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
+;Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994560-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "TortoiseSVN"; Flags: uninsdeletekey
+;Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994560-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "ThreadingModel"; Flags: uninsdeletekey
+;Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994560-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "[CommonFilesFolder.9D3DBC93_494B_45A8_88D7_430AB5568B0F]TortoiseOverlays\TortoiseOverlays.dll"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "Directory\Background\shellex\ContextMenuHandlers\Pithos.FileContextMenu"; ValueType: "String"; ValueData: "{{b1f1405d-94a1-4692-b72f-fc8caf8b8700}}"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "Directory\shellex\ContextMenuHandlers\Pithos.FileContextMenu"; ValueType: "String"; ValueData: "{{b1f1405d-94a1-4692-b72f-fc8caf8b8700}}"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "Pithos.ShellExtensions.FileContextMenu"; ValueType: "String"; ValueData: "Pithos.ShellExtensions.Menus.FileContextMenu"; Flags: uninsdeletekey
@@ -243,8 +243,6 @@ Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Menus.FileContextMenu"; ValueType:
 Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Menus.FileContextMenu\CLSID"; ValueType: "String"; ValueData: "{{B1F1405D-94A1-4692-B72F-FC8CAF8B8700}}"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Overlays.AddedIcodOverlay"; ValueType: "String"; ValueData: "Pithos.ShellExtensions.Overlays.AddedIcodOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Overlays.AddedIcodOverlay\CLSID"; ValueType: "String"; ValueData: "{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Overlays.AddedIconOverlay"; ValueType: "String"; ValueData: "Pithos.ShellExtensions.Overlays.AddedIconOverlay"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Overlays.AddedIconOverlay\CLSID"; ValueType: "String"; ValueData: "{{EAD1663B-9A03-4E92-80D3-B01B981CD828}}"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Overlays.ConflictIconOverlay"; ValueType: "String"; ValueData: "Pithos.ShellExtensions.Overlays.ConflictIconOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Overlays.ConflictIconOverlay\CLSID"; ValueType: "String"; ValueData: "{{3EFA16FC-C6B6-4673-BFEC-BD9518F1EFCE}}"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Overlays.DeletedIconOverlay"; ValueType: "String"; ValueData: "Pithos.ShellExtensions.Overlays.DeletedIconOverlay"; Flags: uninsdeletekey
@@ -257,79 +255,32 @@ Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay";
 Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Overlays.UnversionedIconOverlay\CLSID"; ValueType: "String"; ValueData: "{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Overlays.UnversionedOverlay"; ValueType: "String"; ValueData: "Pithos.ShellExtensions.Overlays.UnversionedOverlay"; Flags: uninsdeletekey
 Root: "HKCR"; Subkey: "Pithos.ShellExtensions.Overlays.UnversionedOverlay\CLSID"; ValueType: "String"; ValueData: "{{10CF08FE-1252-4AAB-BE78-971B0C5E8AE0}}"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994560-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994560-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "TortoiseSVN"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994560-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "ThreadingModel"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994560-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "[CommonFilesFolder.9D3DBC93_494B_45A8_88D7_430AB5568B0F]TortoiseOverlays\TortoiseOverlays.dll"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994561-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994561-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "TortoiseSVN"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994561-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "ThreadingModel"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994561-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "[CommonFilesFolder.9D3DBC93_494B_45A8_88D7_430AB5568B0F]TortoiseOverlays\TortoiseOverlays.dll"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994562-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994562-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "TortoiseSVN"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994562-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "ThreadingModel"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994562-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "[CommonFilesFolder.9D3DBC93_494B_45A8_88D7_430AB5568B0F]TortoiseOverlays\TortoiseOverlays.dll"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994563-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994563-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "TortoiseSVN"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994563-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "ThreadingModel"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994563-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "[CommonFilesFolder.9D3DBC93_494B_45A8_88D7_430AB5568B0F]TortoiseOverlays\TortoiseOverlays.dll"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994564-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994564-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "TortoiseSVN"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994564-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "ThreadingModel"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994564-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "[CommonFilesFolder.9D3DBC93_494B_45A8_88D7_430AB5568B0F]TortoiseOverlays\TortoiseOverlays.dll"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994565-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994565-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "TortoiseSVN"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994565-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "ThreadingModel"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994565-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "[CommonFilesFolder.9D3DBC93_494B_45A8_88D7_430AB5568B0F]TortoiseOverlays\TortoiseOverlays.dll"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994566-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994566-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "TortoiseSVN"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994566-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "ThreadingModel"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994566-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "[CommonFilesFolder.9D3DBC93_494B_45A8_88D7_430AB5568B0F]TortoiseOverlays\TortoiseOverlays.dll"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994567-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994567-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "TortoiseSVN"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994567-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "ThreadingModel"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994567-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "[CommonFilesFolder.9D3DBC93_494B_45A8_88D7_430AB5568B0F]TortoiseOverlays\TortoiseOverlays.dll"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994568-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994568-53D9-4125-87C9-F193FC689CB2}}"; ValueType: "String"; ValueData: "TortoiseSVN"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994568-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "ThreadingModel"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Classes\CLSID\{{C5994568-53D9-4125-87C9-F193FC689CB2}}\InProcServer32"; ValueType: "String"; ValueData: "[CommonFilesFolder.9D3DBC93_494B_45A8_88D7_430AB5568B0F]TortoiseOverlays\TortoiseOverlays.dll"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\1TortoiseNormal"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\1TortoiseNormal"; ValueType: "String"; ValueData: "{{C5994560-53D9-4125-87C9-F193FC689CB2}}"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\2TortoiseModified"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\2TortoiseModified"; ValueType: "String"; ValueData: "{{C5994561-53D9-4125-87C9-F193FC689CB2}}"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\3TortoiseConflict"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\3TortoiseConflict"; ValueType: "String"; ValueData: "{{C5994562-53D9-4125-87C9-F193FC689CB2}}"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\4TortoiseLocked"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\4TortoiseLocked"; ValueType: "String"; ValueData: "{{C5994563-53D9-4125-87C9-F193FC689CB2}}"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\5TortoiseReadOnly"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\5TortoiseReadOnly"; ValueType: "String"; ValueData: "{{C5994564-53D9-4125-87C9-F193FC689CB2}}"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\6TortoiseDeleted"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\6TortoiseDeleted"; ValueType: "String"; ValueData: "{{C5994565-53D9-4125-87C9-F193FC689CB2}}"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\7TortoiseAdded"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\7TortoiseAdded"; ValueType: "String"; ValueData: "{{C5994566-53D9-4125-87C9-F193FC689CB2}}"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\8TortoiseIgnored"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\8TortoiseIgnored"; ValueType: "String"; ValueData: "{{C5994567-53D9-4125-87C9-F193FC689CB2}}"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\9TortoiseUnversioned"; ValueType: "String"; ValueData: "*"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Explorer\ShellIconOverlayIdentifiers\9TortoiseUnversioned"; ValueType: "String"; ValueData: "{{C5994568-53D9-4125-87C9-F193FC689CB2}}"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\Microsoft\Windows\CurrentVersion\Shell"; ValueType: "String"; ValueData: "Extensions\Approved"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "+"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "AddedIcon"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "ConflictIcon"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "DeletedIcon"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "IgnoredIcon"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "LockedIcon"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "ModifiedIcon"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "NormalIcon"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "ReadOnlyIcon"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "UnversionedIcon"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays\Added"; ValueType: "String"; ValueData: "Pithos"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays\Conflict"; ValueType: "String"; ValueData: "Pithos"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays\Deleted"; ValueType: "String"; ValueData: "Pithos"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays\Modified"; ValueType: "String"; ValueData: "Pithos"; Flags: uninsdeletekey; Components: RequiredFiles
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays\Normal"; ValueType: "String"; ValueData: "Pithos"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\TortoiseOverlays\Unversioned"; ValueType: "String"; ValueData: "Pithos"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\[Manufacturer]\Pithos"; ValueType: "String"; ValueData: "ShowOnlyInExplorer"; Flags: uninsdeletekey
-Root: "HKCR"; Subkey: "Software\[Manufacturer]\[ProductName]\{{56EDB812-2F78-060D-D5D1-6AA27B1165A5}}"; ValueType: "String"; ValueData: "_D9DCD31A441A4B7B845F98CB12D6BFBA"; Flags: uninsdeletekey; Components: RequiredFiles
+
+Root: "HKCU"; Subkey: "Software\{#Manufacturer}"; Flags: uninsdeletekey
+
+Root: "HKLM"; Subkey: "Software\{#Manufacturer}\Pithos"; ValueType: dword; ValueName: "ShowOnlyInExplorer"; ValueData: 0; Flags: uninsdeletekey
+
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "+"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "AddedIcon"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "ConflictIcon"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "DeletedIcon"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "IgnoredIcon"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "LockedIcon"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "ModifiedIcon"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "NormalIcon"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "ReadOnlyIcon"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays"; ValueType: "String"; ValueData: "UnversionedIcon"; Flags: uninsdeletekey
+
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays\Added"; ValueType: "String"; ValueData: "Pithos"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays\Conflict"; ValueType: "String"; ValueData: "Pithos"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays\Deleted"; ValueType: "String"; ValueData: "Pithos"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays\Modified"; ValueType: "String"; ValueData: "Pithos"; Flags: uninsdeletekey; Components: RequiredFiles
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays\Normal"; ValueType: "String"; ValueData: "Pithos"; Flags: uninsdeletekey
+Root: "HKLM"; Subkey: "Software\TortoiseOverlays\Unversioned"; ValueType: "String"; ValueData: "Pithos"; Flags: uninsdeletekey
+
+Root: "HKLM"; Subkey: "Software\{#Manufacturer}\{#MyAppName}\{{56EDB812-2F78-060D-D5D1-6AA27B1165A5}}"; ValueType: "String"; ValueData: "_D9DCD31A441A4B7B845F98CB12D6BFBA"; Flags: uninsdeletekey; Components: RequiredFiles
+
+
 
 [Components]
 Name: "RequiredFiles"; Description: "Required Files"; Types: Advanced Default; Flags: checkablealone fixed; Languages: english french german greek spanish
